Package org.apache.jmeter.gui.action.template

# Class TemplateManager.DefaultEntityResolver

java.lang.Object
org.apache.jmeter.gui.action.template.TemplateManager.DefaultEntityResolver

All Implemented Interfaces:
  `EntityResolver`

Enclosing class:
  TemplateManager

public static class TemplateManager.DefaultEntityResolver extends Object implements EntityResolver

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultEntityResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputSource`
  `resolveEntity(String publicId, String systemId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultEntityResolver

    public DefaultEntityResolver()

- ## Method Details

  - ### resolveEntity

    public InputSource resolveEntity(String publicId, String systemId) throws SAXException, IOException
    Specified by:
      `resolveEntity` in interface `EntityResolver`
    Throws:
      `SAXException`
      `IOException`